From 1aa8ce47108233b40930e34f79f11233e5aef958 Mon Sep 17 00:00:00 2001
From: Aleksa Sarai <cyphar@cyphar.com>
Date: Fri, 13 Oct 2023 16:31:30 +1100
Subject: [PATCH] BUILD: SLE12: revert "btrfs: depend on kernel UAPI instead of
 libbtrfs"

This is a partial revert of commit 52f82acb7b39 ("btrfs: depend on
kernel UAPI instead of libbtrfs"), namely switching from
github.com/containers/btrfs/v2 to v1.

On SLE 12, our UAPI headers are too old, resulting in us being unable to
build the btrfs driver with the new headers. This patch is only needed
for SLE-12.

Signed-off-by: Aleksa Sarai <cyphar@cyphar.com>
---
 go.mod                                        |   2 +-
 go.sum                                        |   3 +-
 snapshots/btrfs/btrfs.go                      |   2 +-
 .../containerd/btrfs/{v2 => }/.gitignore      |   0
 .../containerd/btrfs/{v2 => }/LICENSE         |   0
 .../containerd/btrfs/{v2 => }/Makefile        |   0
 .../containerd/btrfs/{v2 => }/README.md       |  15 -
 .../containerd/btrfs/{v2 => }/btrfs.c         |  12 +-
 .../containerd/btrfs/{v2 => }/btrfs.go        |  47 +--
 .../containerd/btrfs/{v2 => }/btrfs.h         |  22 +-
 .../containerd/btrfs/{v2 => }/doc.go          |   0
 .../containerd/btrfs/{v2 => }/helpers.go      |  29 +-
 .../containerd/btrfs/{v2 => }/info.go         |   0
 .../containerd/btrfs/{v2 => }/ioctl.go        |   0
 vendor/golang.org/x/sys/cpu/asm_aix_ppc64.s   |  18 --
 vendor/golang.org/x/sys/cpu/byteorder.go      |  66 ----
 vendor/golang.org/x/sys/cpu/cpu.go            | 287 ------------------
 vendor/golang.org/x/sys/cpu/cpu_aix.go        |  34 ---
 vendor/golang.org/x/sys/cpu/cpu_arm.go        |  73 -----
 vendor/golang.org/x/sys/cpu/cpu_arm64.go      | 172 -----------
 vendor/golang.org/x/sys/cpu/cpu_arm64.s       |  32 --
 vendor/golang.org/x/sys/cpu/cpu_gc_arm64.go   |  12 -
 vendor/golang.org/x/sys/cpu/cpu_gc_s390x.go   |  22 --
 vendor/golang.org/x/sys/cpu/cpu_gc_x86.go     |  17 --
 .../golang.org/x/sys/cpu/cpu_gccgo_arm64.go   |  12 -
 .../golang.org/x/sys/cpu/cpu_gccgo_s390x.go   |  23 --
 vendor/golang.org/x/sys/cpu/cpu_gccgo_x86.c   |  39 ---
 vendor/golang.org/x/sys/cpu/cpu_gccgo_x86.go  |  33 --
 vendor/golang.org/x/sys/cpu/cpu_linux.go      |  16 -
 vendor/golang.org/x/sys/cpu/cpu_linux_arm.go  |  39 ---
 .../golang.org/x/sys/cpu/cpu_linux_arm64.go   | 111 -------
 .../golang.org/x/sys/cpu/cpu_linux_mips64x.go |  24 --
 .../golang.org/x/sys/cpu/cpu_linux_noinit.go  |  10 -
 .../golang.org/x/sys/cpu/cpu_linux_ppc64x.go  |  32 --
 .../golang.org/x/sys/cpu/cpu_linux_s390x.go   |  40 ---
 vendor/golang.org/x/sys/cpu/cpu_loong64.go    |  13 -
 vendor/golang.org/x/sys/cpu/cpu_mips64x.go    |  16 -
 vendor/golang.org/x/sys/cpu/cpu_mipsx.go      |  12 -
 .../golang.org/x/sys/cpu/cpu_netbsd_arm64.go  | 173 -----------
 .../golang.org/x/sys/cpu/cpu_openbsd_arm64.go |  65 ----
 .../golang.org/x/sys/cpu/cpu_openbsd_arm64.s  |  11 -
 vendor/golang.org/x/sys/cpu/cpu_other_arm.go  |  10 -
 .../golang.org/x/sys/cpu/cpu_other_arm64.go   |  10 -
 .../golang.org/x/sys/cpu/cpu_other_mips64x.go |  13 -
 .../golang.org/x/sys/cpu/cpu_other_ppc64x.go  |  15 -
 .../golang.org/x/sys/cpu/cpu_other_riscv64.go |  12 -
 vendor/golang.org/x/sys/cpu/cpu_ppc64x.go     |  17 --
 vendor/golang.org/x/sys/cpu/cpu_riscv64.go    |  12 -
 vendor/golang.org/x/sys/cpu/cpu_s390x.go      | 172 -----------
 vendor/golang.org/x/sys/cpu/cpu_s390x.s       |  58 ----
 vendor/golang.org/x/sys/cpu/cpu_wasm.go       |  18 --
 vendor/golang.org/x/sys/cpu/cpu_x86.go        | 145 ---------
 vendor/golang.org/x/sys/cpu/cpu_x86.s         |  28 --
 vendor/golang.org/x/sys/cpu/cpu_zos.go        |  10 -
 vendor/golang.org/x/sys/cpu/cpu_zos_s390x.go  |  25 --
 vendor/golang.org/x/sys/cpu/endian_big.go     |  11 -
 vendor/golang.org/x/sys/cpu/endian_little.go  |  11 -
 vendor/golang.org/x/sys/cpu/hwcap_linux.go    |  71 -----
 vendor/golang.org/x/sys/cpu/parse.go          |  43 ---
 .../x/sys/cpu/proc_cpuinfo_linux.go           |  54 ----
 vendor/golang.org/x/sys/cpu/runtime_auxv.go   |  16 -
 .../x/sys/cpu/runtime_auxv_go121.go           |  19 --
 .../golang.org/x/sys/cpu/syscall_aix_gccgo.go |  27 --
 .../x/sys/cpu/syscall_aix_ppc64_gc.go         |  36 ---
 vendor/modules.txt                            |   7 +-
 65 files changed, 54 insertions(+), 2320 deletions(-)
 rename vendor/github.com/containerd/btrfs/{v2 => }/.gitignore (100%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/LICENSE (100%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/Makefile (100%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/README.md (81%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/btrfs.c (82%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/btrfs.go (88%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/btrfs.h (71%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/doc.go (100%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/helpers.go (76%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/info.go (100%)
 rename vendor/github.com/containerd/btrfs/{v2 => }/ioctl.go (100%)
 delete mode 100644 vendor/golang.org/x/sys/cpu/asm_aix_ppc64.s
 delete mode 100644 vendor/golang.org/x/sys/cpu/byteorder.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_aix.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_arm.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_arm64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_arm64.s
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_gc_arm64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_gc_s390x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_gc_x86.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_gccgo_arm64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_gccgo_s390x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_gccgo_x86.c
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_gccgo_x86.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_linux.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_linux_arm.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_linux_arm64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_linux_mips64x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_linux_noinit.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_linux_ppc64x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_linux_s390x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_loong64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_mips64x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_mipsx.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_netbsd_arm64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_openbsd_arm64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_openbsd_arm64.s
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_other_arm.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_other_arm64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_other_mips64x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_other_ppc64x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_other_riscv64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_ppc64x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_riscv64.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_s390x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_s390x.s
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_wasm.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_x86.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_x86.s
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_zos.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/cpu_zos_s390x.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/endian_big.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/endian_little.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/hwcap_linux.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/parse.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/proc_cpuinfo_linux.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/runtime_auxv.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/runtime_auxv_go121.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/syscall_aix_gccgo.go
 delete mode 100644 vendor/golang.org/x/sys/cpu/syscall_aix_ppc64_gc.go

diff --git a/go.mod b/go.mod
index ce0aa0c50543..6f5efd048f3a 100644
--- a/go.mod
+++ b/go.mod
@@ -9,7 +9,7 @@ require (
 	github.com/Microsoft/hcsshim v0.11.1
 	github.com/container-orchestrated-devices/container-device-interface v0.5.4
 	github.com/containerd/aufs v1.0.0
-	github.com/containerd/btrfs/v2 v2.0.0
+	github.com/containerd/btrfs v1.0.0
 	github.com/containerd/cgroups/v3 v3.0.2
 	github.com/containerd/console v1.0.3
 	github.com/containerd/continuity v0.4.2
diff --git a/snapshots/btrfs/btrfs.go b/snapshots/btrfs/btrfs.go
index a6a41e68e3cd..5cef986b5e7b 100644
--- a/snapshots/btrfs/btrfs.go
+++ b/snapshots/btrfs/btrfs.go
@@ -25,7 +25,7 @@ import (
 	"path/filepath"
 	"strings"
 
-	"github.com/containerd/btrfs/v2"
+	"github.com/containerd/btrfs"
 	"github.com/containerd/continuity/fs"
 
 	"github.com/containerd/containerd/log"
